# MappedField (LWJGL API)
Date: 2015-07-28

## org.lwjgl.util.mapped
Annotation Type MappedField

    @Retention(value=RUNTIME)
    @Target(value=FIELD)
    public @interface MappedField

This annotation can be used on fields of `MappedObject` subclasses, to manually specify byte offsets and lengths. This is useful when the mapped fields require custom alignment. `ByteBuffer` fields are required to have this annotation with a hardcoded byte length.

Author:
  Riven

Optional Element Summary
`long` `byteLength` Specifies the field byte length.
`long` `byteOffset` Specifies the field byte offset within the mapped object.

### byteOffset

    public abstract long byteOffset

  Specifies the field byte offset within the mapped object.

  Returns:
    the field byte offset
  Default:
    -1L

### byteLength

    public abstract long byteLength

  Specifies the field byte length. Required for `ByteBuffer` fields.

  Returns:
    the field byte length
  Default:
    -1L

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.